Bug 476649 - Graphics card Intel GM45 has terrible 3D performance with the PAE kernel
Graphics card Intel GM45 has terrible 3D performance with the PAE kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 08:57 EST by vasilis
Modified: 2009-12-18 02:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vasilis 2008-12-16 08:57:51 EST
Description of problem:
Using the kernel-2.6.27.7-134.fc10.i686.PAE kernel with the Intel GM4500MHD card hardware acceleration works but with a terrible 3D performance.
glxgears reports 173 FPS.
Booting with the kernel-2.6.27.7-134.fc10.i686 kernel glxgears reports ~1200 FPS of course with the penalty that the last 2Gb or RAM are not visible.

Version-Release number of selected component (if applicable):
kernel-2.6.27.7-134.fc10.i686.PAE

How reproducible:
Every time

Steps to Reproduce:
1. Boot with latest PAE kernel
2.
3.
  
Actual results:
glxgears reports 173 FPS with the CPU at 800MHz. With the CPU at 2.4GHz the frame rate is increased to 310 FPS.

Expected results:
3D performance for glxgears should be >1000FPS (at least with the normal kernel) and "slightly" depend on the CPU speed.

Additional info:
Comment 1 Bug Zapper 2009-11-18 05:29:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:18:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.